Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.logging
Class WLLogRecord

    java.lang.Object
      |
      +--java.util.logging.LogRecord
            |
            +--weblogic.logging.WLLogRecord

public class WLLogRecord
extends java.util.logging.LogRecord

WebLogic extensions to java.util.logging.LogRecord Defines the fields in the log records which are specific to WLS.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`WLLogRecord(java.util.logging.Level level, java.lang.String msg)`
`WLLogRecord(java.util.logging.Level level, java.lang.String msg, java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getId()`
`java.lang.String` | `getMachineName()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getThreadName()`
`java.lang.String` | `getTransactionId()`
`java.lang.String` | `getUserId()`
`void` | `setId(java.lang.String id)`

Methods inherited from class java.util.logging.LogRecord
`getLevel, getLoggerName, getMessage, getMillis, getParameters, getResourceBundle, getResourceBundleName, getSequenceNumber, getSourceClassName, getSourceMethodName, getThreadID, getThrown, setLevel, setLoggerName, setMessage, setMillis, setParameters, setResourceBundle, setResourceBundleName, setSequenceNumber, setSourceClassName, setSourceMethodName, setThreadID, setThrown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WLLogRecord

    public WLLogRecord(java.util.logging.Level level,
                       java.lang.String msg)

### WLLogRecord

    public WLLogRecord(java.util.logging.Level level,
                       java.lang.String msg,
                       java.lang.Throwable t)

Method Detail

### setId

    public void setId(java.lang.String id)

### getId

    public java.lang.String getId()

### getMachineName

    public java.lang.String getMachineName()

### getServerName

    public java.lang.String getServerName()

### getThreadName

    public java.lang.String getThreadName()

### getUserId

    public java.lang.String getUserId()

### getTransactionId

    public java.lang.String getTransactionId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD